# sf::Http::Http::Request Class Reference

This class wraps an HTTP request, which is basically :

- a header with a method, a target URI, and a set of field/value pairs
- an optional body (for POST requests).

More...

`#include <Http.hpp>`

List of all members.

## Public Types

enum | Method { Get, Post, Head }
| Enumerate the available HTTP methods for a request. More...

## Public Member Functions

| Request (Method RequestMethod=Get, const std::string &URI="/", const std::string &Body="")
| Default constructor.
void | SetField (const std::string &Field, const std::string &Value)
| Set the value of a field; the field is added if it doesn't exist.
void | SetMethod (Method RequestMethod)
| Set the request method.
void | SetURI (const std::string &URI)
| Set the target URI of the request.
void | SetHttpVersion (unsigned int Major, unsigned int Minor)
| Set the HTTP version of the request.
void | SetBody (const std::string &Body)
| Set the body of the request.

## Friends

class | Http

## Detailed Description

This class wraps an HTTP request, which is basically :

- a header with a method, a target URI, and a set of field/value pairs
- an optional body (for POST requests).

Definition at line 54 of file Http.hpp.

## Member Enumeration Documentation

enum sf::Http::Request::Method

Enumerate the available HTTP methods for a request.

Enumerator:

  Get | Request in get mode, standard method to retrieve a page.
  Post | Request in post mode, usually to send data to a page.
  Head | Request a page's header only.

Definition at line 61 of file Http.hpp.

## Constructor & Destructor Documentation

sf::Http::Http::Request::Request | ( | Method | RequestMethod = `Get`,
|  | const std::string & | URI = `"/"`,
|  | const std::string & | Body = `""` |
| ) |  |  |

Default constructor.

Parameters:

  | RequestMethod | : Method to use for the request (Get by default)
  | URI | : Target URI ("/" by default -- index page)
  | Body | : Content of the request's body (empty by default)

Definition at line 56 of file Http.cpp.

## Member Function Documentation

void sf::Http::Http::Request::SetBody | ( | const std::string & | Body | ) |

Set the body of the request.

This parameter is optional and makes sense only for POST requests. This parameter is empty by default

Parameters:

  | Body | : Content of the request body

This parameter is optional and makes sense only for POST requests. This parameter is empty by default

Definition at line 114 of file Http.cpp.

void sf::Http::Http::Request::SetField | ( | const std::string & | Field,
|  | const std::string & | Value |
| ) |  |  |

Set the value of a field; the field is added if it doesn't exist.

Parameters:

  | Field | : Name of the field to set (case-insensitive)
  | Value | : Value of the field

Definition at line 68 of file Http.cpp.

void sf::Http::Http::Request::SetHttpVersion | ( | unsigned int | Major,
|  | unsigned int | Minor |
| ) |  |  |

Set the HTTP version of the request.

This parameter is 1.0 by default

Parameters:

  | Major | : Major version number
  | Minor | : Minor version number

This parameter is 1.0 by default

Definition at line 102 of file Http.cpp.

void sf::Http::Http::Request::SetMethod | ( | Method | RequestMethod | ) |

Set the request method.

This parameter is Http::Request::Get by default

Parameters:

  | RequestMethod | : Method to use for the request

This parameter is Get by default

Definition at line 78 of file Http.cpp.

void sf::Http::Http::Request::SetURI | ( | const std::string & | URI | ) |

Set the target URI of the request.

This parameter is "/" by default

Parameters:

  | URI | : URI to request, local to the host

This parameter is "/" by default

Definition at line 88 of file Http.cpp.

The documentation for this class was generated from the following files:

- Http.hpp
- Http.cpp